      PROGRAM EXAMPL
      PARAMETER (N=100)
      CHARACTER AXIS(2)*6,TITL(2)*22
      Dimension XRAY(100),Y1RAY(100),Y2RAY(100)
      TITL(1)='FUNCTION'
      TITL(2)= 'SIN(X), COS(X)'     
      AXIS(1)='X-axis'
      AXIS(2)= 'Y-axis'      
      PI=3.1415926
      STEP=2.*PI/(N-1)
      DO I=1,N
        XRAY(I)=(I-1)*STEP
        X=XRAY(I)
        Y1RAY(I)=SIN(X)
        Y2RAY(I)=COS(X)
      END DO  
         
      CALL GRAF_1(XRAY,Y1RAY,Y2RAY,N,AXIS,TITL)
       
      WRITE(6,'(4X,A)') 'Press ENTER to finish ...'
      READ*   
      END


      SUBROUTINE GRAF_1(XRAY,Y1RAY,Y2RAY,N,AXIS,TITL)
      CHARACTER AXIS(2)*6,TITL(2)*22
      Dimension XRAY(N),Y1RAY(N),Y2RAY(N)                
      OY0=Y1RAY(1)
      OY1=Y1RAY(1)     
      OX0=XRAY(1)
      OX1=XRAY(1)        
      DO I=1,N
        IF(OX0.GT.XRAY(I))     OX0=XRAY(I)
        IF(OX1.LT.XRAY(I))     OX1=XRAY(I)
        IF(OY0.GT.Y1RAY(I))    OY0=Y1RAY(I)
        IF(OY1.LT.Y1RAY(I))    OY1=Y1RAY(I)
        IF(OY0.GT.Y2RAY(I))    OY0=Y2RAY(I)
        IF(OY1.LT.Y2RAY(I))    OY1=Y2RAY(I)
      END DO
       OYH=(OY1-OY0)/4.
       OXH=(OX1-OX0)/4.
      CALL METAFL('XWIN')
      CALL SETPAG('DA4L') 
      CALL DISINI
      CALL PAGERA
      CALL HWFONT
      CALL AXSPOS(450,1800)
      CALL AXSLEN(2200,1200)
      CALL NAME(AXIS(1),'X')
      CALL NAME(AXIS(2),'Y')
      CALL LABDIG(-1,'X')
      CALL TICKS(10,'XY')
      CALL TITLIN(TITL(1),1)
      CALL TITLIN(TITL(2),3)
      CALL GRAF(OX0,OX1,OX0,OXH,OY0, OY1,OY0,OYH)
      CALL TITLE
      CALL COLOR('RED')
      CALL CURVE(XRAY,Y1RAY,N)
      CALL COLOR('GREEN')
      CALL CURVE(XRAY,Y2RAY,N)
      CALL COLOR('FORE')
      CALL DASH
      CALL XAXGIT
      CALL DISFIN
      END
      
      
