      PROGRAM EXAMPL
      PARAMETER (N=50)
      CHARACTER AXIS(3)*6,TITL(2)*22
      Dimension XRAY(100),YRAY(100),ZMAT(50,50)
      TITL(1)='Surface Plot (SURMAT)'
      TITL(2)= 'F(X,Y) = 2*SIN(X)*SIN(Y)'           
      AXIS(1)='X-axis'
      AXIS(2)='Y-axis' 
      AXIS(3)='Z-axis'  
      PI=3.1415926
      STEP=2*PI/(N-1)
      DO I=1,N
        XRAY(I)=(I-1)*STEP
        DO J=1,N
          YRAY(J)=(J-1)*STEP
          ZMAT(I,J)=2*SIN(XRAY(I))*SIN(YRAY(J))
        END DO
      END DO                   

      CALL GRAF_2G(XRAY,YRAY,ZMAT,N,AXIS,TITL)

      WRITE(6,'(4X,A)') 'Press ENTER to finish ...'      
      Read*
      END

      
      
      SUBROUTINE GRAF_2G(XRAY,YRAY,ZMAT,N,AXIS,TITL)
      CHARACTER AXIS(3)*6,TITL(2)*22
      CHARACTER CTIT1*60,CTIT2*60
      DIMENSION IXP(4),IYP(4)
      Dimension XRAY(N),YRAY(N),ZMAT(N,N)
      DATA IXP/200,1999,1999,200/ IYP/2600,2600,801,801/
      OY0=YRAY(1)
      OY1=YRAY(1)     
      OX0=XRAY(1)
      OX1=XRAY(1)        
      DO I=1,N
        IF(OX0.GT.XRAY(I))     OX0=XRAY(I)
        IF(OX1.LT.XRAY(I))     OX1=XRAY(I)
        IF(OY0.GT.YRAY(I))     OY0=YRAY(I)
        IF(OY1.LT.YRAY(I))     OY1=YRAY(I) 
      ENDDO       
        OYH=(OY1-OY0)/4.
        OXH=(OX1-OX0)/4.      
        OZ0=ZMAT(1,1)
        OZ1=ZMAT(1,1)
           DO I=1,N        
            DO J=1,N          
             IF(OZ0.GT.ZMAT(I,J))    OZ0=ZMAT(I,J)
             IF(OZ1.LT.ZMAT(I,J))    OZ1=ZMAT(I,J)
            END DO
           END DO
        OZH=(OZ1-OZ0)/4.      
      CALL METAFL('cons')
c      CALL SETPAG('DA4L') 
      CTIT1=TITL(1)
      CTIT2=TITL(2)      
      CALL SETPAG('DA4P')
      CALL DISINI
      CALL PAGERA
      CALL HWFONT
      CALL AXSPOS(200,2600)
      CALL AXSLEN(1800,1800)
      CALL NAME(AXIS(1),'X')
      CALL NAME(AXIS(2),'Y')
      CALL NAME(AXIS(3),'Z')
      CALL TITLIN(CTIT1,2)
      CALL TITLIN(CTIT2,4)
c      CALL VIEW3D(-5.,-5.,4.,'ABS')
      CALL GRAF3D(OX0,OX1,OX0,OXH,OY0,OY1,OY0,OYH,OZ0, OZ1,OZ0,OZH)
      CALL HEIGHT(50)
      CALL TITLE
      CALL SHLSUR

      CALL COLOR('GREEN')
      CALL SURMAT(ZMAT,50,50,1,1)
      
      CALL COLOR('FORE')
C     Grid in the XY plane
      CALL GRFINI(-1.,-1.,-1.,1.,-1.,-1.,1.,1.,-1.)
      CALL NOGRAF
      CALL GRAF(OX0,OX1,OX0,OXH,OY0,OY1,OY0,OYH)
      CALL DASHL
      CALL GRID(1,1)
      CALL GRFFIN

C     Grid in the YZ plane
      CALL GRFINI(-1.,-1.,-1.,-1.,1.,-1.,-1.,1.,1.)
      CALL GRAF(OY0,OY1,OY0,OYH,OZ0, OZ1,OZ0,OZH)
      CALL GRID(1,1)
      CALL GRFFIN

C     Shading in the XZ plane
      CALL GRFINI(-1.,1.,-1.,1.,1.,-1.,1.,1.,1.)
      CALL SHDPAT(7)
      CALL SOLID
      CALL AREAF(IXP,IYP,4)
      CALL GRFFIN

      
      
      
      CALL DISFIN
      END

      
