      PROGRAM EXAMPL
      PARAMETER (N=50)
      CHARACTER AXIS(3)*6,TITL(2)*60
      Dimension XRAY(100),YRAY(100),ZRAY(100)
      TITL(1)='Surface Plot of the Parametric Function'
      TITL(2)= '[COS(t)*(3+COS(u)),SIN(t)*(3+COS(u)),SIN(u)]'        
      AXIS(1)='X-axis'
      AXIS(2)='Y-axis' 
      AXIS(3)='Z-axis'      
      STEP1=8./(N-1)
      STEP2=6./(N-1)
      DO I=1,N
        XRAY(I)=(I-1)*STEP1-4.
        YRAY(I)=(I-1)*STEP1-4.
        ZRAY(I)=(I-1)*STEP2-3.          
      END DO                     

      CALL GRAF_2P(XRAY,YRAY,ZRAY,N,AXIS,TITL)

      WRITE(6,'(4X,A)') 'Press ENTER to finish ...'      
      Read*
      END

      
      
      SUBROUTINE GRAF_2P(XRAY,YRAY,ZRAY,N,AXIS,TITL)
      CHARACTER AXIS(3)*6,TITL(2)*60
      CHARACTER CTIT1*60,CTIT2*60
      Dimension XRAY(N),YRAY(N),ZRAY(N)
      EXTERNAL ZFUN
      PI=3.14159
      OY0=YRAY(1)
      OY1=YRAY(1)     
      OX0=XRAY(1)
      OX1=XRAY(1)
      OZ0=ZRAY(1)
      OZ1=ZRAY(1)        
      DO I=1,N
        IF(OX0.GT.XRAY(I))     OX0=XRAY(I)
        IF(OX1.LT.XRAY(I))     OX1=XRAY(I)
        IF(OY0.GT.YRAY(I))     OY0=YRAY(I)
        IF(OY1.LT.YRAY(I))     OY1=YRAY(I)
        IF(OZ0.GT.ZRAY(I))     OZ0=ZRAY(I)
        IF(OZ1.LT.ZRAY(I))     OZ1=ZRAY(I)
      END DO            
      OYH=(OY1-OY0)/8.
      OXH=(OX1-OX0)/8.      
      OZH=(OZ1-OZ0)/6.
              
      CALL METAFL('cons')
c      CALL SETPAG('DA4L') 
      CTIT1=TITL(1)
      CTIT2=TITL(2)      
      CALL SETPAG('DA4P')
      CALL DISINI
      CALL HWFONT
      CALL PAGERA     
      CALL AXSPOS(200,2400)
      CALL AXSLEN(1800,1800)
      CALL INTAX      
      CALL TITLIN(CTIT1,2)
      CALL TITLIN(CTIT2,4)      
      CALL NAME(AXIS(1),'X')
      CALL NAME(AXIS(2),'Y')
      CALL NAME(AXIS(3),'Z')      
      CALL VKYTIT(-300)
      CALL ZSCALE(-1.,1.)
      CALL GRAF3D(OX0,OX1,OX0,OXH,OY0,OY1,OY0,OYH,OZ0, OZ1,OZ0,OZH)
      CALL HEIGHT(40)
      CALL TITLE
      CALL SURMSH('ON') 
      STEP=2*PI/30.
      CALL SURFCP(ZFUN,0.,2*PI,STEP,0.,2*PI,STEP)      
      CALL DISFIN
      END

      FUNCTION ZFUN(X,Y,IOPT)
      IF(IOPT.EQ.1) THEN
        ZFUN=COS(X)*(3+COS(Y))
      ELSE IF(IOPT.EQ.2) THEN
        ZFUN=SIN(X)*(3+COS(Y))
      ELSE
        ZFUN=SIN(Y)
      END IF
      END

      
